import { z } from "zod"

const bookingWidgetToggleSchema = z
  .object({
    page_settings: z.object({
      hide_booking_widget: z.boolean(),
    }),
  })
  .optional()

export const validateBookingWidgetToggleSchema = z.object({
  account_page: bookingWidgetToggleSchema,
  loyalty_page: bookingWidgetToggleSchema,
  collection_page: bookingWidgetToggleSchema,
  content_page: bookingWidgetToggleSchema,
  hotel_page: bookingWidgetToggleSchema,
  current_blocks_page: bookingWidgetToggleSchema,
})

export type ValidateBookingWidgetToggleType = z.infer<
  typeof validateBookingWidgetToggleSchema
>
